<?php



if (!defined('BASEPATH'))

    exit('No direct script access allowed');



class Depot_model extends CI_Model

{



    public $table = 'tbl_depot';

    public $id = 'no';

    public $order = 'DESC';



    function __construct()

    {

        parent::__construct();

    }



    // get all

    function get_all($condition="")

    {

		if($condition!=""){

		foreach($condition as $field=>$val){

			$this->db->like($field,$val,'after');

		}


		}

        $this->db->order_by($this->id, "ASC");

        return $this->db->get($this->table)->result();

    }



    // get data by id

    function get_by_id($id)

    {

        $this->db->where($this->id, $id);

        return $this->db->get($this->table)->row();

    }

    

    // get total rows

    function total_rows($q = NULL) {

        $this->db->like('no', $q);

	$this->db->or_like('agen', $q);

	$this->db->or_like('kode', $q);

	$this->db->or_like('nama_depot', $q);

	$this->db->or_like('alamat_depot', $q);

	$this->db->or_like('hotline_depot', $q);

	$this->db->from($this->table);

        return $this->db->count_all_results();

    }



    // get data with limit and search

    function get_limit_data($limit, $start = 0, $q = NULL) {

        $this->db->order_by($this->id, $this->order);

        $this->db->like('no', $q);

	$this->db->or_like('agen', $q);

	$this->db->or_like('kode', $q);

	$this->db->or_like('nama_depot', $q);

	$this->db->or_like('alamat_depot', $q);

	$this->db->or_like('hotline_depot', $q);

	$this->db->limit($limit, $start);

        return $this->db->get($this->table)->result();

    }



    // insert data

    function insert($data)

    {

        $this->db->insert($this->table, $data);

    }



    // update data

    function update($id, $data)

    {

        $this->db->where($this->id, $id);

        $this->db->update($this->table, $data);

    }



    // delete data

    function delete($id)

    {

        $this->db->where($this->id, $id);

        $this->db->delete($this->table);

    }



}



/* End of file Depot_model.php */

/* Location: ./application/models/Depot_model.php */

/* Please DO NOT modify this information : */

/* Generated by Harviacode Codeigniter CRUD Generator 2016-08-24 17:59:43 */

/* http://harviacode.com */